%global basever 0.8.16

Name:           ccsm
Version:        0.8.18
Release:    1%{?dist}
Summary:        Plugin and configuration tool - Compiz Reloaded Project

License:        GPLv2+
URL:            https://gitlab.com/compiz/%{name}
Source0:        %{url}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  gobject-introspection-devel
BuildRequires:  gettext
BuildRequires:  desktop-file-utils
BuildRequires:  intltool

Requires:       compizconfig-python >= %{version}
Requires:       libcompizconfig >= %{basever}
Requires:       compiz >= %{basever}
Requires:       python3-cairo
Requires:       python3-gobject
Requires:       gobject-introspection
Requires:       gdk-pixbuf2
Requires:       pango
Requires:       gtk3

%description
The Compiz Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.

This package contains a GUI configuration tool to configure Compiz
plugins and the composite window manager.

%prep
%autosetup -n %{name}-v%{version} -p1

%build
python3 setup.py build --prefix=%{_prefix} --with-gtk=3.0

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

mv %{buildroot}%{_datadir}/{metainfo,appdata}/

%find_lang %{name}

%check
desktop-file-validate %{buildroot}/%{_datadir}/applications/ccsm.desktop


%files -f %{name}.lang
%doc AUTHORS COPYING VERSION
%{_bindir}/ccsm
%{_datadir}/appdata/ccsm.appdata.xml
%{_datadir}/applications/ccsm.desktop
%dir %{_datadir}/ccsm
%{_datadir}/ccsm/*
%{_datadir}/icons/hicolor/*/apps/ccsm.*
%{_datadir}/compiz/icons/hicolor/{22x22/{categories,devices,mimetypes},scalable/{apps,categories}}/*.{png,svg}
%dir %{python3_sitelib}/ccm
%{python3_sitelib}/ccm/*
%{python3_sitelib}/ccsm-%{version}-py%{python3_version}.egg-info


%changelog
* Thu Apr 11 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.18-1
- initial build
